using System.Threading;

using Microtoolskit.Hardware.Displays;

namespace PANDA_3_I2C_LCD
{
    public class Program
    {
        public static void Main()
        {
            byte y = 0x5A;

            // Cration d'un objet Lcd I2C Midas
            I2CLcd Lcd = new I2CLcd();

            // Initialisation du Lcd I2C
            Lcd.Init();

            // Message
            Lcd.ClearScreen();
            Lcd.PutString(3, 0, "SSI...");
            Lcd.PutChar(11, 0, 0x4E);
            Lcd.PutString(2, 1, "Bonjour!!");

            // Jauges linaires virtuelles
            for (byte w = 0x5a; w < 0x60; w++)
                Lcd.PutChar((byte)(w - 0x51), 1, w);

            while (true)
            {
                // Dmo Widgets
                Lcd.PutChar(14, 0, 0x11);
                Lcd.PutChar(15, 0, 0x21);
                Lcd.PutChar(13, 0, 0x4C);
                Thread.Sleep(200);
                Lcd.PutChar(14, 0, 0x21);
                Lcd.PutChar(15, 0, 0x11);
                Lcd.PutChar(13, 0, 0x4B);
                Thread.Sleep(200);

                // Dmo jauge linaire virtuelle
                Lcd.PutChar(0, 0, (byte)y);
                y++;
                if (y > 0x5F) y = 0x5A;
            }
        }
    }
}
